# Table of contents

* [👋 Welcome](README.md)
* [🌊 Discover](discover/discover.md)
  * [Networks](discover/networks/README.md)
    * [Bridges](discover/networks/bridges.md)
  * [Wallets 👛](discover/wallets.md)
  * [Set Up MetaMask Wallet 🦊](discover/metamask-setup.md)
  * [Manage Your OCEAN Tokens 🪙](discover/wallets-and-ocean-tokens.md)
  * [Glossary](discover/glossary.md)
  * [FAQ 🙋](discover/faq.md)
* [📜 How To's](how-tos/README.md)
  * [Publish an NFT](how-tos/marketplace-publish-data-asset.md)
  * [Download NFT Assets](how-tos/marketplace-download-data-asset.md)
  * [Host Assets](how-tos/asset-hosting/README.md)
    * [Arweave](how-tos/asset-hosting/arweave.md)
    * [AWS](how-tos/asset-hosting/aws.md)
    * [Azure Cloud](how-tos/asset-hosting/azure-cloud.md)
  * [Get veOCEAN Tokens](how-tos/get-veocean-tokens.md)
  * [Compute-to-Data](how-tos/compute-to-data.md)
  * [Guide to Ocean Market](how-tos/using-ocean-market.md)
  * [Liquidity Pools \[deprecated\]](how-tos/remove-liquidity-using-etherscan.md)
  * [Claim OCEAN Rewards](how-tos/claim-ocean-rewards.md)
* [📚 Developer Tutorials](tutorials/README.md)
  * [Build a Marketplace](tutorials/build-a-marketplace/README.md)
    * [Forking Ocean Market](tutorials/build-a-marketplace/forking-ocean-market.md)
    * [Customising a Market](tutorials/build-a-marketplace/customising-your-market.md)
    * [Deploying a Market](tutorials/build-a-marketplace/deploying-market.md)
  * [Using Ocean Subgraph](tutorials/using-ocean-subgraph/README.md)
    * [List data NFTs](tutorials/using-ocean-subgraph/list-data-nfts.md)
    * [List all Tokens](tutorials/using-ocean-subgraph/list-datatokens.md)
    * [Get Data NFT Information](tutorials/using-ocean-subgraph/get-data-nft-information.md)
    * [Get Datatoken Information](tutorials/using-ocean-subgraph/get-datatoken-information.md)
    * [List Fixed Rate Exchanges](tutorials/using-ocean-subgraph/list-fixed-rate-exchanges.md)
  * [Using Ocean Libraries](tutorials/using-ocean-libraries/README.md)
    * [Configuration](tutorials/using-ocean-libraries/configuration.md)
    * [Creating a data NFT](tutorials/using-ocean-libraries/creating-dataNFT.md)
    * [Publish with Fixed Pricing](tutorials/using-ocean-libraries/create-datatoken-with-fixed-pricing.md)
    * [Mint Datatokens](tutorials/using-ocean-libraries/mint-datatoken.md)
    * [Update Metadata](tutorials/using-ocean-libraries/update-metadata.md)
* [🤑 DeFi](defi.md)
* [💰 Rewards](rewards/README.md)
  * [Data Farming 101](rewards/df-intro.md)
  * [veOCEAN](rewards/veocean.md)
  * [Data Farming Background](rewards/df-background.md)
  * [Emissions & APYs](rewards/emissions-apys.md)
  * [Rewards Tutorial](rewards/veOcean-Data-Farming-Tutorial.md)
* [📊 Data Science](data-science.md)
* [👨💻 Developers](developers/README.md)
  * [Core concepts](developers/core-concepts/README.md)
    * [Architecture Overview](developers/core-concepts/architecture.md)
    * [Data NFTs and Datatokens](developers/core-concepts/datanft-and-datatoken.md)
    * [Roles](developers/core-concepts/roles.md)
    * [Fees](developers/core-concepts/fees.md)
    * [Asset Pricing](developers/core-concepts/asset-pricing.md)
    * [DID & DDO](developers/core-concepts/did-ddo.md)
    * [C2D - Architecture](developers/core-concepts/compute-to-data-architecture.md)
    * [C2D - Datasets & Algorithms](developers/core-concepts/compute-to-data-datasets-algorithms.md)
    * [C2D - Writing Algorithms](developers/core-concepts/compute-to-data-algorithms.md)
    * [C2D - User defined parameters](developers/core-concepts/user-defined-parameters.md)
  * [Aquarius REST API](developers/aquarius-rest-api.md)
  * [Provider REST API](developers/provider-rest-api.md)
  * [Subgraph](developers/subgraph.md)
* [🔨 Infrastructure](infrastructure/README.md)
  * [Setup a Server](infrastructure/setup-server.md)
  * [Deploying Marketplace](infrastructure/deploying-marketplace.md)
  * [Deploying Aquarius](infrastructure/deploying-aquarius.md)
  * [Deploying Provider](infrastructure/deploying-provider.md)
  * [Deploying Ocean Subgraph](infrastructure/deploying-ocean-subgraph.md)
  * [C2D - Minikube Environment](infrastructure/compute-to-data-minikube.md)
  * [C2D - Private Docker Registry](infrastructure/compute-to-data-docker-registry.md)
* [🤝 Contribute](contribute/contributing.md)
  * [Partners & Collaborators](contribute/projects-using-ocean.md)
  * [Contributor Code of Conduct](contribute/code-of-conduct.md)
  * [Legal Requirements](contribute/legal-reqs.md)
