# 🤑 DeFi

## Capitalize with Ocean Protocol 💸

Ocean Protocol's open-source tools are useful in a variety of DeFi applications. Here we show you how to capitalize with Ocean Protocol tech in several ways using crypto trading!

## Predicting the Price of ETH 📈

We offer a Predict ETH data challenge where participants can win prizes 💰 for making accurate ETH price predictions. Participants use machine learning to extrapolate ETH prices for the next 12 hours as accurately as possible and upload these predictions to the Ocean Market as data NFTs. It's a win-win for both Ocean Protocol and challenge participants! This challenge promotes more valuable data feeds on the Ocean Market and participants gain cash prizes!

Check our [challenges page](https://oceanprotocol.com/challenges) to see if there is an active Predict ETH challenge!

Wondering how to start predicting the price of ETH? We have a [blogpost](https://blog.oceanprotocol.com/capitalize-with-ocean-protocol-a-predict-eth-tutorial-b2da136633f0?source=search\_post---------0----------------------------) 📖 for that!&#x20;

## Algorithmic Crypto Trading 🤖📊

There are a variety of NFTs on the Ocean Market that offer profitable algorithms for crypto trading using [Trading View](https://www.tradingview.com) and [freqtrade](http://freqtrade.io) open-source Github library. Not sure how to algorithmically trade crypto? We have a few tutorials for that:

Check out our video [tutorial](https://www.youtube.com/watch?v=c7A4vA8YUyI) on how to begin algorithmically trading crypto with no experience using an EMA crossover strategy on the Ocean Market!

{% embed url="https://www.youtube.com/watch?v=c7A4vA8YUyI" %}

Are you more of a reader? Check out our [blogpost](https://blog.oceanprotocol.com/capitalize-with-ocean-protocol-a-sma-algorithmic-trading-tutorial-a2490661ab85) 📖 how to use a Python SMA crossover strategy with grid search optimization to begin accurately predicting ETH.&#x20;

## Create Trading Strategy NFTs 📲

Do you have a valuable trading strategy that you want to share or sell? You can anonymously upload your trading strategies as NFTs on-chain using the Ocean Market!

Check out our video tutorial 🧑‍🏫 how to [publish trading strategy NFTs](https://youtu.be/Q4jj5ukiTZA) on-chain 🔗 with the Ocean Market!

{% embed url="https://youtu.be/Q4jj5ukiTZA" %}
