---
description: How to use centralized hosting with Azure Cloud for your NFT assets
---

# Azure Cloud

### Microsoft Azure

Azure provides various options to host data and multiple configuration possibilities. Publishers are required to do their research and decide what would be the right choice. The below steps provide one of the possible ways to host data using Azure storage and publish it on Ocean Marketplace.

**Prerequisite**

Create an account on [Azure](https://azure.microsoft.com/en-us/). Users might also be asked to provide payment details and billing addresses that are out of this tutorial's scope.

**Step 1 - Create a storage account**

**Go to Azure portal**

Go to the Azure portal: https://portal.azure.com/#home and select `Storage accounts` as shown below.

![Select storage accounts](../../.gitbook/assets/hosting/azure1.png)

**Create a new storage account**

![Create a storage account](<../../.gitbook/assets/hosting/azure2 (1).png>)

**Fill in the details**

![Add details](../../.gitbook/assets/hosting/azure3.png)

**Storage account created**

![Storage account created](<../../.gitbook/assets/hosting/azure4 (1).png>)

**Step 2 - Create a blob container**

![Create a blob container](../../.gitbook/assets/hosting/azure5.png)

**Step 3 - Upload a file**

![Upload a file](<../../.gitbook/assets/hosting/azure6 (1).png>)

**Step 4 - Share the file**

**Select the file to be published and click Generate SAS**

![Click generate SAS](../../.gitbook/assets/hosting/azure7.png)

**Configure the SAS details and click `Generate SAS token and URL`**

![Generate link to file](<../../.gitbook/assets/hosting/azure8 (1).png>)

**Copy the generated link**

![Copy the link](<../../.gitbook/assets/hosting/azure9 (1).png>)

**Step 5 - Publish the asset using the generated link**

Now, copy and paste the link into the Publish page in the Ocean Marketplace.

![Publish the file as an asset](../../.gitbook/assets/hosting/azure10.png)
